// ADIC_Functions.h: Defines ADICLib_256R4.DLL application interface
// This interface can be included by C or C++ code
//

typedef PVOID	FT_HANDLE;
typedef ULONG	FT_STATUS;

#define DLLIMPORT __declspec(dllimport)


#ifdef __cplusplus
extern "C" {
#endif

// Imported Functions from the DLL

DLLIMPORT long WINAPI ArrayAdd(float array1[], float array2[], long dataSize);
DLLIMPORT long WINAPI ArrayPercentDiff(float array1[], float array2[], long dataSize);
DLLIMPORT long WINAPI ArraySubtract(float array1[], float array2[], long dataSize);
DLLIMPORT long WINAPI CloseDevice(FT_HANDLE lngHandle);
DLLIMPORT long WINAPI DoCalibrate(FT_HANDLE lngHandle, long coeff[], float arraySetVal, long* gskimVal, long* dacVhVal, 
		      	          long* dacVlVal, long bPixMap[], long mxSize);
DLLIMPORT double WINAPI Flux_P( double lambdaL, double lambdaH, double temperature);
DLLIMPORT double WINAPI Flux_W( double lambdaL, double lambdaH, double temperature);
DLLIMPORT long WINAPI GetData(FT_HANDLE lngHandle, long numAvg, long arrayOrderFlag, long dataSize, float MxData[], long bPixMap[]);
DLLIMPORT long WINAPI GetData2(FT_HANDLE lngHandle, long *LAdd, long *RAdd, long *RoDir, float MxData[], long bPixMap[]);
DLLIMPORT PVOID WINAPI GetBoard_Handle(long boardnumber);
DLLIMPORT PVOID WINAPI GetDeviceHandle(void);
DLLIMPORT long WINAPI GetNumBoards(void);
DLLIMPORT long WINAPI GetQuery3(FT_HANDLE lngHandle, long* cksum, long *serialnumb, long *muxtype,long Descript[]);
DLLIMPORT long WINAPI HideBadPixels(long numb);
DLLIMPORT long WINAPI MarkBadPixel(FT_HANDLE lngHandle, long mxSize, long numBPix, long bpMap[]);
DLLIMPORT long WINAPI ReadE2Block(FT_HANDLE lngHandle, long nE2Bytes, long addBase, long E2Data[]);
DLLIMPORT long WINAPI ReadPWM(FT_HANDLE lngHandle, long* PWMval);
DLLIMPORT long WINAPI ReadTemp(FT_HANDLE lngHandle, long* teTemp);
DLLIMPORT long WINAPI RestoreAll(FT_HANDLE lngHandle, long BaseSettings[], long bpMap[], long coeff[]);							
DLLIMPORT long WINAPI SaveE2Block(FT_HANDLE lngHandle, long nE2Bytes, long addBase, long E2Data[]);
DLLIMPORT long WINAPI SendAllCoeff(FT_HANDLE lngHandle, long mxSize, long coeff[]);
DLLIMPORT long WINAPI SetConversionRef(long numb);
DLLIMPORT long WINAPI SetDacGSkim(FT_HANDLE lngHandle, long setValue);
DLLIMPORT long WINAPI SetDetBias(FT_HANDLE lngHandle, long setValue);
DLLIMPORT long WINAPI SetDacReferences(long numbVH, long numbVL);
DLLIMPORT long WINAPI SetDacVH(FT_HANDLE lngHandle, long setValue);
DLLIMPORT long WINAPI SetDacVL(FT_HANDLE lngHandle, long setValue);
DLLIMPORT long WINAPI SetGlobalSkimVal(long numb);
DLLIMPORT long WINAPI SetIntegration(FT_HANDLE lngHandle, long intValue);
DLLIMPORT long WINAPI SetMuxSize(FT_HANDLE lngHandle, long mxSize);
DLLIMPORT long WINAPI SetWellSize(FT_HANDLE lngHandle, long wSize);
DLLIMPORT long WINAPI StoreAll(FT_HANDLE lngHandle);
DLLIMPORT long WINAPI SuppressCalStat(long numb);
DLLIMPORT long WINAPI SuppressErrors(long numb);
DLLIMPORT long WINAPI SyncPC(FT_HANDLE lngHandle, long BaseSettings[], long bpMap[], long coeff[]);
DLLIMPORT long WINAPI TECoolerPower(FT_HANDLE lngHandle, long teStatus);

DLLIMPORT long WINAPI SetConversionRef_Brd(FT_HANDLE lngHandle, long numb);
DLLIMPORT long WINAPI SetGlobalSkimVal_Brd(FT_HANDLE lngHandle, long numb);
DLLIMPORT long WINAPI SetDacReferences_Brd(FT_HANDLE lngHandle, long numbVH, long numbVL);
DLLIMPORT long WINAPI HideBadPixels_Brd(FT_HANDLE lngHandle, long numb);

#ifdef __cplusplus
}
#endif





